* {
  margin: 0;
  padding: 0;
  font-family: "Poppins";
  scroll-behavior: smooth;
}

/* Lys modus */
body {
  background-color: white;
  color: black;
}

/* Mørk modus */
body.dark-mode {
  background-color: #333;
  color: white;
}

#theme-mode {
  display: flex;
  font-size: 30px;
  border-style: none;
  background-color: transparent;
}

.main-title {
  font-size: 1.6rem;
  font-weight: 500;
  margin-left: 2rem;
}

h3.main-title {
  color: black;
}

nav {
  display: flex;
  align-items: center;
  line-height: 1.6rem;
  margin: 0;
  padding: 1.5rem;
  background-color: antiquewhite;
  justify-content: space-between;
  list-style: none;
  gap: 2rem;
  position: fixed;
  top: 0;
  width: 98%;
  z-index: 1000;
}

.nav-links {
  list-style: none;
  display: flex;
  text-decoration: none;
  gap: 2.5rem;
  padding: 0;
  margin-right: 10px;
}

.nav-links li {
  margin: 0;
}

.nav-links ul li {
  padding: 1.2rem;
}

.nav-contact {
  font-size: 1.5rem;
}

.nav-links a {
  color: black;
  text-decoration: none;
  font-size: 1.2rem;
  justify-content: space-between;
  transition: color 0.3s ease-in-out;
}

.nav .contact {
  border: 3px solid green;
  border-radius: 5px 10px;
  padding: 10px;
}

.nav-links a:hover {
  background-color: antiquewhite;
  color: green;
  transform: scale(1.1);
}

.burger {
  display: none;
  cursor: pointer;
  flex-direction: column;
  gap: 5rem;
}

.burger div {
  width: 25px;
  height: 3px;
  background-color: black;
}

/* Sekjonen home */

.home {
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url(/images/home.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
}

.main-container {
  height: auto;
  display: block;
  min-height: 100vh;
  align-items: center;
  object-fit: cover;
  overflow: hidden;
}

.text-container {
  margin-top: 0;
  display: block;
  object-fit: cover;
  font-size: 3rem;
  padding: 3.5rem;
}

.home-main-text {
  font-size: 5rem;
  color: white;
  padding-top: 5rem;
}

.first-text {
  font-size: 2rem;
  margin-top: 1.5rem;
  margin-bottom: 1.5rem;
  color: white;
}

.scroll-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: green;
  color: white;
  text-decoration: none;
  font-size: 1.5rem;
  border-radius: 100px;
}

.scroll-button:hover {
  background-color: #004494;
}

/* Seksjonen om */

.about-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  max-width: 900px;
  margin: 0 auto;
}

.container-left {
  flex: 1;
}

.container-right {
  flex: 1;
  text-align: right;
}

.container-right img {
  max-width: 75%;
  height: auto;
  object-fit: cover;
  padding-top: 3rem;
}

.little-text {
  font-size: 1rem;
  margin: 10px 10px 10px;
  color: green;
}

.about-main-text {
  font-size: 3rem;
  font-weight: bold;
  margin-bottom: 20px;
}
.om-meg {
  margin-bottom: 5rem;
}

.link-text {
  font-size: 1.2rem;
  text-decoration: none;
  cursor: pointer;
  display: inline-block;
  padding: 10px 20px;
  background-color: green;
  color: white;
  text-decoration: none;
  font-size: 1.5rem;
  border-radius: 100px;
}

/* basic seksjonen */

/* Services seksjone */

.service-container {
  margin: 5.6rem;
  padding-top: 50px;
}

.little-service-text {
  font-size: 1rem;
  color: green;
  text-align: center;
  margin-top: 50px;
}

.main-service-text {
  font-size: 3rem;
  font-weight: bold;
  text-align: center;
  padding: 0.5rem;
  margin-top: 10px;
}

.services-cards {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin-top: 100px;
  margin-bottom: 50px;
}

.card {
  width: 325px;
  background-color: #f0f0f0;
  border-radius: 8px;
  overflow: hidden;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
  margin: 20px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card img {
  width: 100%;
  height: auto;
}

.card-content {
  padding: 16px;
}

.card-content h3 {
  font-size: 28px;
  margin-bottom: 8px;
  color: black;
}

.card-content {
  color: #666;
  font-size: 15px;
  line-height: 1.2;
}

.card:hover {
  transform: translateY(-10px);
  box-shadow: 0px 8px 16px rgb(0, 0, 0, 03);
}

/* Kontakt seksjonen */

.contact {
  padding: 6% 0;
}

.contact-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1000px;
  margin: 0 auto;
}

.contact-container-left {
  flex: 1;
  padding-right: 2rem;
}

.contact-little-text {
  font-size: 1rem;
  color: green;
  margin-bottom: 2rem;
}

.contact-main-text {
  font-size: 2.5rem;
  font-weight: bold;
  margin-bottom: 2rem;
}

.contact-container-right {
  flex: 1;
}

.contact-form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.form-group {
  display: flex;
  flex-direction: column;
}

.form-group label {
  font-size: 1rem;
  margin-bottom: 0.5rem;
}

.form-group input,
.form-group textarea {
  padding: 0.75rem;
  font-size: 1rem;
  border: 1px solid #ccc;
  border-radius: 4px;
  width: 100%;
}

.form-group input:focus,
.form-group textarea:focus {
  outline: none;
  border-color: #007bff;
}

.submit-btn {
  padding: 0.75rem 2rem;
  font-size: 1.2rem;
  color: white;
  background-color: green;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: backround-color 0.3 ease;
}

.submit-btn:hover {
  background-color: #004494;
}

/* Footer seksjonen */

.footer {
  background-color: #222;
  color: white;
  padding: 2rem 0;
  text-align: center;
}

.footer-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 2rem;
}

.footer-left {
  flex: 1;
}

.footer-left h4 {
  font-size: 1.5rem;
  margin-bottom: 0.5rem;
}

.footer-left p {
  font-size: 0.9rem;
}

.footer-links {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  justify-content: center;
  gap: 1.5rem;
  margin-bottom: 1rem;
}

.footer-links li {
  margin: 0;
}

.footer-links a {
  color: white;
  text-decoration: none;
  font-size: 1rem;
  transition: color 0.3s ease;
}

.footer-links a:hover {
  color: #007bff;
}

.social-links {
  margin: 0;
  text-align: left;
}

.social-links a {
  color: white;
  font-size: 1.2rem;
  transition: color 0.3s ease;
  text-decoration: none;
}

.social-links a:hover {
  color: #007bff;
}

.last-modified {
  text-align: left;
  padding: 10px;
  padding-left: 100px;
}

/* Responsive design for mindre enheter: Seksjon OM */

@media screen and (max-width: 768px) {
  .nav-links {
    position: absolute;
    top: 100%;
    right: 0;
    height: 100vh;
    width: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: antiquewhite;
    transform: translateX(100%);
    transition: transform 0.5s ease-in-out;
    z-index: 1000;
  }

  #theme-mode {
    font-size: 20px;
    padding: 5px;
  }

  .nav-links.open {
    transform: translateX(0);
    position: center;
  }

  .burger {
    display: flex;
    z-index: 1001;
  }

  .home-main-text {
    font-size: 3rem;
    padding-top: 2rem;
  }

  .first-text {
    font-size: 1.5rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
  }

  .scroll-button {
    font-size: 1rem;
    padding: 8px 16px;
  }

  .text-container {
    padding: 1rem;
    margin-top: 3rem;
  }

  .about-container {
    flex-direction: column;
    text-align: center;
    padding-bottom: 5rem;
  }
  .container-right img {
    max-width: 100%;
    margin: 0 auto;
  }

  .container-left {
    padding-top: 6rem;
  }
  /*  kontact seksjonen  */

  .contact-container {
    flex-direction: column;
    text-align: center;
    margin-top: 5rem;
  }
  .contact-container-left {
    padding-right: 0;
    margin-bottom: 2rem;
  }
  .contact-form {
    align-items: center;
  }

  .contact-container-right {
    padding-right: 1.6rem;
    margin-bottom: 2rem;
  }

  /* Footer seksjonen */

  .footer-container {
    flex-direction: column;
    text-align: center;
  }

  .footer-left,
  .footer-right {
    margin-bottom: 1rem;
  }

  .footer-links,
  .social-links {
    flex-direction: column;
    list-style: none;
    padding: 0;
    margin: 0;
  }

  .footer-links li .social-links li {
    margin-bottom: 0.5rem;
  }
}
